body {
  background-image: url(img/back.png);
  background-repeat: repeat;
  font-family: 'Shippori Mincho', serif;
}

body,
p,
ul,
td,
th {
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
  color: #000000;
}

header {
  background-color: white;
}

header .menu-link {
  width: 15px;
}

.logo {
  width: 300px;
}
@media (max-width:860px) {
  .logo {
    width: 120px;
  }
}

header {
  padding: 60px 80px;
  display: flex;
  justify-content: space-between;
}
@media (max-width:1280px) {
  header {
    padding: 20px;
    justify-content: space-between;
    gap: 5px;
  }
}

.menu {
  display: flex;
}
@media (max-width:1280px) {
  .menu {
    display: none;
  }
}

.menu-sp {
  display: none;
}
@media (max-width:1280px) {
  .menu-sp {
    display: flex;
    margin-right: 60px;
  }
}
@media (max-width: 640px) {
  .menu-sp {
    margin-right: 40px;
  }
}

.menu-list {
  margin: 0 20px;
  align-content: center;
  letter-spacing: 0.1rem;
}
@media (max-width:1280px) {
  .menu-list {
    margin:0 10px;
  }
}
@media (max-width: 640px) {
  .menu-list img {
    width: 25px;
    margin-bottom: 0px;
  }
}


.contact {
  border: dotted 1px;
  border-radius: 45px;
  padding: 5px 10px;
}
@media (max-width:1280px) {
  .contact {
    font-size: smaller;
  }
}
@media (max-width: 640px) {
  .contact {
    font-size: 11px;
  }
}

.hamburger {
  display: none;
  width: 30px;
  cursor: pointer;
}

.hamburger span {
  display: block;
  height: 3px;
  width: 100%;
  background-color: #333;
  margin: 6px 0;
  transition: 0.3s;
}

.menu-sp2 {
  display: none;
}

@media screen and (max-width: 1280px) {
  .hamburger {
    display: block;
    z-index: 10;
    position: absolute;
    top: 30px;
    right: 20px;
  }
@media screen and (max-width: 860px) {
  .hamburger {
    top: 15px;
  }
}


  .menu-sp2 {
    display: none;
    padding: 20px;
    z-index: 15 !important;
    text-align: center;
  }

  .menu-sp2 a {
    display: block;
  }

  .menu-sp2.active {
    display: block;
    text-align: center;
  }

}

.hamburger.active span:nth-child(1) {
  transform: translateY(9px) rotate(45deg);
}

.hamburger.active span:nth-child(2) {
  opacity: 0;
}

.hamburger.active span:nth-child(3) {
  transform: translateY(-9px) rotate(-45deg);
}

.overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.9);
  /* ← 白でうっすら透過 */
  z-index: 5;
}

.overlay.active {
  display: block;
}

@media screen and (max-width: 1280px) {
  .menu-sp2 {
      display: none;
      padding: 20px;
      z-index: 15 !important;
      text-align: center;
      position: fixed;
      top: 30%;
      left: 50%;
      transform: translate(-50%, -30%);
    }
}


.hero {
  width: 100%;
  background-color: white;
}

.hero img {
  width: 100%;
}

@media (max-width: 640px) {
  .hero-img {
    display: none;
  }
}

.hero-img2 {
  display: none;
}
@media (max-width: 640px) {
  .hero-img2 {
    display: block;
  }
}

.pc {
  display: block;
}
@media (max-width:1280px) {
  .pc {
    display: none;
  }
}
.sp {
  display: none;
}
@media (max-width:1280px) {
  .sp {
      display: block;
    }
}

.container {
  margin: 50px auto;
  width: 50%;
}
@media (max-width: 640px) {
  .container {
    width: 100%;
  }
}

/*
h1,h2 {
  text-align: center;
}

h1 {
  margin-top: 60px;
}
@media (max-width: 640px) {
  h1 {
    font-size: 24px;
    margin-top: 80px;
  }
}

h2 {
  margin-bottom: 50px;
}
@media (max-width: 640px) {
  h2 {
    font-size: 18px;
  }
} */

/* .logo {
  text-align: center;
  margin-bottom: 50px;
}

.logo img {
  width: 100px;
  display: block;
  margin: auto;
}
@media (max-width: 640px) {
  .logo img {
    width: 80px;
  }
} */

/* .shika {
  text-align: right;
}

@media (max-width: 640px) {
  .shika img {
    width: 35%;
    margin-right: 10%;
  }
} */

.scroll {
  position: relative;
  display: flex;
  width: 100px;
  margin:0 0 0 auto;
}
@media (max-width:1280px) {
  .scroll {
    display: none;
  }
}



.scroll-text {
  color: #333;
  font-size: 14px;
  text-align: center;
  transform: rotate(90deg);
  margin-top: 250px;
}

.scroll-border {
  position: relative;
  top: 100px;
  width: 10px;
  height: 200px;
  overflow: hidden;
}

.scroll-border::before {
  content: "";
  display: block;
  position: absolute;
  width: 1px;
  height: 40px;
  top: 0;
  left: 0;
  right: 0;
  background: #333;
  animation: scrollbar 2.5s ease-in-out infinite;
  margin: auto;
}

@keyframes scrollbar {
  0% {
    height: 0;
    top: 0;
  }

  30% {
    height: 100%;
  }

  100% {
    top: 100%;
  }
}

/*アニメーション要素のスタイル*/
.animation {
  opacity: 0;
  visibility: hidden;
  transition: 4s;
  transform: translateY(50px);
}

/*アニメーション要素までスクロールした時のスタイル*/
.active-in {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

/*アニメーション要素のスタイル*/
.animation2 {
  opacity: 0;
  visibility: hidden;
  transition: 2s;
  transform: translateY(50px);
  transition-delay: 1s;
}

/*アニメーション要素までスクロールした時のスタイル*/
.active-in2 {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

/*アニメーション要素のスタイル*/
.animation3 {
  opacity: 0;
  visibility: hidden;
  transition: 2s;
  transform: translateY(50px);
  transition-delay: 2s;
}

/*アニメーション要素までスクロールした時のスタイル*/
.active-in3 {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

/*アニメーション要素のスタイル*/
.animation0 {
  opacity: 0;
  visibility: hidden;
  transition: 4s;
  transform: translateY(10px);
  transition-delay: 0s;
}

/*アニメーション要素までスクロールした時のスタイル*/
.active-in0 {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

.about-text1 {
  padding: 0px 180px 150px 180px;
  letter-spacing: 3px;
  line-height: 50px;
}
@media (max-width:1280px) {
  .about-text1 {
    padding: 100px 180px 50px 180px;
    line-height: 30px;
  }
}
@media (max-width:860px) {
  .about-text1 {
    letter-spacing: 2px;
    padding: 30px;
    line-height: 30px;
  }
}

.shika img{
  width: 200px;
  position: relative;
  left: 20%;
}
@media (max-width:1280px) {
  .shika img {
    position: relative;
    left: 70%;
  }
}
@media (max-width:860px) {
  .shika img {
    left: 55%;
    width: 150px;
  }
}

.shika {
  margin-top: 200px;
}
@media (max-width:1280px) {
  .shika {
    margin-top: 0px;
    margin-bottom: 40px;
  }
}

.flex {
  display: flex;
}
@media (max-width:1280px) {
  .flex {
    display: block;
  }
}

.photo1 {
  width: 50%;
}
@media (max-width:860px) {
  .photo1 {
    width: 80%;
  }
}


.about-text2 {
  padding: 120px 180px 60px 180px;
  letter-spacing: 3px;
  line-height: 50px;
}
@media (max-width:1280px) {
  .about-text2 {
    line-height: 30px;
  }
}
@media (max-width:640px) {
  .about-text2 {
    padding: 260px 20px 30px 30px;
    letter-spacing: 2px;
    line-height: 30px;
  }
}

.photo2 {
  width: 35%;
  position: relative;
  bottom: 500px;
  left: 60%;
}
@media (max-width:640px) {
  .photo2 {
    width: 60%;
    bottom: 420px;
    left: 40%;
  }
}

.inoshishi {
  position: relative;
  right: 25%;
  bottom: 150px;
  width: 150px;
}
@media (max-width:860px) {
  .inoshishi {
    right: 45%;
    bottom: 60px;
    width: 120px;
  }
}

.shisetsu {
  width: 400px;
  border-radius: 25px;
}
@media (max-width:860px) {
  .shisetsu {
    text-align: center;
    border-radius: 0px;
    width: 100%;
  }
}

.swiper {
  width: 400px;
  margin: 0 auto;
    /* ← Swiper を中央寄せ */
}
@media (max-width:860px) {
  .swiper {
    width: 100%;
  }
}

.swiper-slide {
  /* width: 400px !important; */
}

.swiper-slide img {
  width: 100%;
  object-fit: cover;
  display: block;
}

.swiper-pagination-bullet-active {
  background-color: #333 !important;
}

#kaitai {
  background-color: white;
}

.kaitai {
  width: 50%;
}
@media (max-width:860px) {
  .kaitai {
    margin: 0 auto;
    width: 90%;
  }
}

.kaitai-wrap {
  padding: 100px 0;
}
@media (max-width:860px) {
  .kaitai-wrap {
    display: block;
    text-align: center;
  }
}

.kaitai-inner {
  display: flex;
  justify-content: center;
  max-width: 1200px;
  /* 好きな幅 */
  margin: 0 auto;
  /* これが本当の中央寄せ */
  gap: 40px;
  /* テキストと画像の間隔 */
}
@media (max-width:860px) {
  .kaitai-inner {
    display: block;
  }
}


.kaitai-wrap h1{
  text-align: center;
  letter-spacing: 0.2em;
  font-weight: normal;
}
@media (max-width:860px) {
  .kaitai-wrap h1 {
    font-size: 24px;
  }
}

.kaitai-wrap p {
  letter-spacing: 3px;
  margin: 30px auto;
  line-height: 30px;
  width: 450px;
}
@media (max-width:860px) {
  .kaitai-wrap p {
    text-align: left;
    margin-bottom: 30px 20px;
    width: 100%;
  }
}

.lineup {
  text-align: center;
}

.lineup img {
  width: 240px;
  margin-bottom: 50px;
}
@media (max-width:860px) {
  .lineup img{
    margin-bottom: 20px;
    width: 200px;
  }
}

#lineup {
  padding: 150px 0;
}
@media (max-width:860px) {
  #lineup {
    padding: 100px 0;
  }
}

.lineup p {
  letter-spacing: 3px;
  margin-bottom: 100px;
  line-height: 2rem;
  font-size: 18px;
}
@media (max-width:860px) {
  .lineup p {
    margin-top: 20px;
    font-size: 16px;
  }
}

.lineup1 {
  text-align: center;
  width: 450px;
}
@media (max-width:860px) {
  .lineup1 {
    width: 100%;
  }
}

.lineup1 img {
  width: 300px;
  margin-bottom: 50px;
}
@media (max-width:860px) {
  .lineup1 img {
    width: 250px;
    margin-bottom: 0px;
  }
}

.lineup-wrap {
  justify-content: center;
  gap: 100px;
  margin-bottom: 150px;
  display: flex;
}
@media (max-width:860px) {
  .lineup-wrap {
    display: block;
    margin-bottom: 0;
  }
}

.lineup1 h2 {
  letter-spacing: 0.2em;
  font-weight: normal;
}

.lineup1 p {
  letter-spacing: 2px;
  line-height: 2rem;
}
@media (max-width:860px) {
  .lineup1 p {
    margin: 0 10px 70px 10px;
    letter-spacing: 1px;
    line-height: 1.7rem;
  }
}

.lineup1 span {
  font-size: 18px;
}

.kitchencar {
  text-align: center;
  letter-spacing: 0.3em;
  line-height: 30px;
}
@media (max-width:860px) {
  .kitchencar {
    letter-spacing: 0.1em;
  }
}

.kitchencar-wrap {
  width: 60%;
  margin: 0 auto;
  background-color: white;
  padding: 80px;
  border-radius: 160px;
}
@media (max-width:860px) {
  .kitchencar-wrap {
    padding: 30px 50px 100px 50px;
  }
}

.kitchencar-img {
  width: 150px;
  position: relative;
  bottom: 100px;
  left: 65%;
}
@media (max-width:860px) {
  .kitchencar-img {
    bottom: 80px;
    left: 30%;
  }
}

#online {
  display: flex;
}
@media (max-width:860px) {
  #online {
    display: block;
  }
}

.online-img {
  width: 50%;
}
@media (max-width:860px) {
  .online-img {
    width: 100%;
  }
}

.online {
  background-image: url(img/back2.png);
  /* background-repeat: repeat; */
  width: 50%;
  display: flex;
  align-items: center;
}
@media (max-width:860px) {
  .online {
    width: 100%;
    padding: 70px 0px 70px 0px;
  }
}

.online-inner {
  width: 100%;
}

.online h1,.online h2, .online .online-link {
  color: white;
  margin-left: 15%;
}
@media (max-width:860px) {
  .online h1,
    .online h2,
    .online .online-link {
      margin-left: 10%;
    }
}

.online h1 {
  font-weight: normal;
  margin-top: 0%;
}
@media (max-width:860px) {
  .online h1 {
    margin-top: 0;
    font-size: 25px;
  }
}

.online h2 {
  font-weight: normal;
  font-size: 18px;
  margin-bottom: 30px;
  letter-spacing: 2px;
  line-height: 2rem;
}

.online-link {
  width: 130px;
  border: dotted 1px white;
  border-radius: 45px;
  padding: 5px 10px 7px 17px;
}

.online-link img {
  width: 8px;
}

footer {
  padding: 100px;
}
@media (max-width:860px) {
  footer {
    padding: 50px 30px;
  }
}

.footer-logo {
  width: 150px;
  margin-bottom: 50px;
}

.info {
  margin-top: 50px;
  margin-bottom: 50px;
}

.pin {
  width: 10px;
}

.company {
  margin-bottom: 15px;
}

.mail {
  margin-top: 15px;
}

#instagram-feed {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 16px;
  max-width: 900px;
  /* ← 全体の横幅を制限 */
  margin: 0 auto;
}
@media (max-width:640px) {
  #instagram-feed {
    grid-template-columns: repeat(2, 1fr);
  }
}

#instagram-feed a {
  display: block;
}

#instagram-feed img {
  width: 100%;
  height: auto;
  /* ← 縦横比そのまま */
  display: block;
}

.footer-wrap {
  display: flex;
  gap: 20px;
}
@media screen and (max-width: 1280px) {
  .footer-wrap {
    display: block;
  }
}

.under {
  text-align: right;
  font-size: 12px;
  padding: 30px;
}

.adress {
  letter-spacing: 0.1rem;
}